Subject: bash bug: variables with lowercase names will not `export'
From: [email-masked] ("Lassi A. Tuura")

14 May 1997 01:25:10 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.01Gold (X11; I; HP-UX B.10.10 9000/777)
Original-To: [email-masked]
Original-Sender: [email-masked]

I just installed the gnuwin32/b18 stuff on my NT 4.0 Pentium Pro
machine, and in general everything seems to work fine.  Nice work,
indeed!

Trying to port some of my stuff from unix-world broke in the following
scenario:

---- foo.sh ----
#! /bin/sh

foo=bar
export foo
echo foo=$foo
../bar.sh
---- bar.sh ----
#! /bin/sh

echo foo=$foo
---- end -------

Executing `foo.sh' prints the lines:
  foo=bar
  foo=

If I replace `foo' with `FOO' everything works as expected.  Is this a
bug or something normal?  On unixen all shells I know do pass lowercase
variable names to subshells -- bash included -- so I'd assume this is a
bug.  Any quick/easy way to fix it?

Cheers,
//lat
-- 
[email-masked]          There's no sunrise without a night
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".